--CHAT_MSG_WHISPER
--/run SendChatMessage("hi", "WHISPER",_, UnitName("player"))
function(e,msg,sender)
	sender = sender:gsub("-.+", "")
	msg = msg:lower()
	print(sender,msg)
	if msg == "setup party" and sender == UnitName("player") then
		aura_env.party()
	end
	if msg == "setup general" and sender == UnitName("player") then
		aura_env.general()
	end
end

--INIT
aura_env.party = function()
	print("Setting party up")
	print("Check1 " .. ChatCOnfigChatSettingsLeftCheckBox1Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox1Check:GetChecked() == false then --Say
		ChatConfigChatSettingsLeftCheckBox1Check:Click()
	end
	print("Check4 " .. ChatCOnfigChatSettingsLeftCheckBox4Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox2Check:GetChecked() == false then --Emote
		ChatConfigChatSettingsLeftCheckBox2Check:Click()
	end
	print("Check5 " .. ChatCOnfigChatSettingsLeftCheckBox5Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox3Check:GetChecked() == false then --Yell
		ChatConfigChatSettingsLeftCheckBox3Check:Click()
	end
	print("Check6 " .. ChatCOnfigChatSettingsLeftCheckBox6Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox4Check:GetChecked() == true then --Guild chat
		ChatConfigChatSettingsLeftCheckBox4Check:Click()
	end
	print("Check7 " .. ChatCOnfigChatSettingsLeftCheckBox7Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox5Check:GetChecked() == true then --Officer chat
		ChatConfigChatSettingsLeftCheckBox5Check:Click()
	end
	print("Check8 " .. ChatCOnfigChatSettingsLeftCheckBox8Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox6Check:GetChecked() == true then --Guild announce
		ChatConfigChatSettingsLeftCheckBox6Check:Click()
	end
	print("Check9 " .. ChatCOnfigChatSettingsLeftCheckBox9Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox7Check:GetChecked() == true then --Achievement announce
		ChatConfigChatSettingsLeftCheckBox7Check:Click()
	end
	print("Check 10 " .. ChatCOnfigChatSettingsLeftCheckBox10Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox8Check:GetChecked() == false then --Whisper
		ChatConfigChatSettingsLeftCheckBox8Check:Click()
	end
	print("Check 11 " .. ChatCOnfigChatSettingsLeftCheckBox11Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox9Check:GetChecked() == false then --Blizzard whisper
		ChatConfigChatSettingsLeftCheckBox9Check:Click()
	end
	print("Check 12 " .. ChatCOnfigChatSettingsLeftCheckBox12Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox10Check:GetChecked() == false then --Party
		ChatConfigChatSettingsLeftCheckBox10Check:Click()
	end
	print("Check 13 " .. ChatCOnfigChatSettingsLeftCheckBox13Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox11Check:GetChecked() == false then --Party leader
		ChatConfigChatSettingsLeftCheckBox11Check:Click()
	end
	print("Check 14 " .. ChatCOnfigChatSettingsLeftCheckBox14Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox12Check:GetChecked() == false then --Raid
		ChatConfigChatSettingsLeftCheckBox12Check:Click()
	end
	print("Check 15 " .. ChatCOnfigChatSettingsLeftCheckBox15Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox13Check:GetChecked() == false then --Raid leader
		ChatConfigChatSettingsLeftCheckBox13Check:Click()
	end
	print("Check 16 " .. ChatCOnfigChatSettingsLeftCheckBox16Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox14Check:GetChecked() == false then --Raid Warning
		ChatConfigChatSettingsLeftCheckBox14Check:Click()
	end
	print("Check1 " .. ChatCOnfigChatSettingsLeftCheckBox1Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox15Check:GetChecked() == false then --Instance
		ChatConfigChatSettingsLeftCheckBox15Check:Click()
	end
	print("Check2 " .. ChatCOnfigChatSettingsLeftCheckBox2Check:GetChecked())
	if ChatConfigChatSettingsLeftCheckBox16Check:GetChecked() == false then --Instance leader
		ChatConfigChatSettingsLeftCheckBox16Check:Click()
	end
end
aura_env.general = function()
	if ChatConfigChatSettingsLeftCheckBox1Check:GetChecked() == true then --Say
		ChatConfigChatSettingsLeftCheckBox1Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox2Check:GetChecked() == true then --Emote
		ChatConfigChatSettingsLeftCheckBox2Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox3Check:GetChecked() == true then --Yell
		ChatConfigChatSettingsLeftCheckBox3Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox4Check:GetChecked() == true then --Guild chat
		ChatConfigChatSettingsLeftCheckBox4Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox5Check:GetChecked() == true then --Officer chat
		ChatConfigChatSettingsLeftCheckBox5Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox6Check:GetChecked() == true then --Guild announce
		ChatConfigChatSettingsLeftCheckBox6Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox7Check:GetChecked() == true then --Achievement announce
		ChatConfigChatSettingsLeftCheckBox7Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox8Check:GetChecked() == true then --Whisper
		ChatConfigChatSettingsLeftCheckBox8Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox9Check:GetChecked() == true then --Blizzard whisper
		ChatConfigChatSettingsLeftCheckBox9Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox10Check:GetChecked() == true then --Party
		ChatConfigChatSettingsLeftCheckBox10Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox11Check:GetChecked() == true then --Party leader
		ChatConfigChatSettingsLeftCheckBox11Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox12Check:GetChecked() == true then --Raid
		ChatConfigChatSettingsLeftCheckBox12Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox13Check:GetChecked() == true then --Raid leader
		ChatConfigChatSettingsLeftCheckBox13Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox14Check:GetChecked() == true then --Raid Warning
		ChatConfigChatSettingsLeftCheckBox14Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox15Check:GetChecked() == true then --Instance
		ChatConfigChatSettingsLeftCheckBox15Check:Click()
	end
	if ChatConfigChatSettingsLeftCheckBox16Check:GetChecked() == true then --Instance leader
		ChatConfigChatSettingsLeftCheckBox16Check:Click()
	end
end